Pokemon 0.4

By mightytodd :: Saturday July 9th, 2011

This game requires the Adobe Flash Player.

Enable Flash

make a game

Here is the next update, I guess it came earlier. Tell me what you think. Sorry the double battle was a seperate thing but it will get put into the game later.

 

More games by mightytodd